> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-rate-categories.md).

# Settings   Rate Categories

## GET /settings/rateCategories

> List Rate Categories

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"RateCategory":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the rate category."},"label":{"type":"string","description":"The display label of the rate category."},"active":{"type":"boolean","description":"Whether this rate category is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this rate category applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/rateCategories":{"get":{"summary":"List Rate Categories","operationId":"listRateCategories","tags":["Settings - Rate Categories"],"responses":{"200":{"description":"List of rate categories","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/RateCategory"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /settings/rateCategories

> Create Rate Category

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"RateCategory":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the rate category."},"label":{"type":"string","description":"The display label of the rate category."},"active":{"type":"boolean","description":"Whether this rate category is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this rate category applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/rateCategories":{"post":{"summary":"Create Rate Category","operationId":"createRateCategory","tags":["Settings - Rate Categories"],"requestBody":{"description":"Data for creating a new rate category","required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"label":{"type":"string","description":"The display label of the rate category."},"active":{"type":"boolean","description":"Whether this rate category is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this rate category applies to"}},"required":["label"]}}}},"responses":{"200":{"description":"Successfully created rate category","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateCategory"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"Conflict - Rate category already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /settings/rateCategories/{id}

> Retrieve Rate Category

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"RateCategory":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the rate category."},"label":{"type":"string","description":"The display label of the rate category."},"active":{"type":"boolean","description":"Whether this rate category is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this rate category applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/rateCategories/{id}":{"get":{"summary":"Retrieve Rate Category","operationId":"getRateCategory","tags":["Settings - Rate Categories"],"parameters":[{"name":"id","in":"path","description":"ID of the Rate Category","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the rate category","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateCategory"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /settings/rateCategories/{id}

> Update Rate Category

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"RateCategory":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the rate category."},"label":{"type":"string","description":"The display label of the rate category."},"active":{"type":"boolean","description":"Whether this rate category is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this rate category applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/rateCategories/{id}":{"put":{"summary":"Update Rate Category","operationId":"updateRateCategory","tags":["Settings - Rate Categories"],"parameters":[{"name":"id","in":"path","description":"ID of the Rate Category","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated rate category data","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateCategory"}}}},"responses":{"200":{"description":"Successfully updated rate category","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateCategory"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /settings/rateCategories/{id}

> Delete Rate Category

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/rateCategories/{id}":{"delete":{"summary":"Delete Rate Category","operationId":"deleteRateCategory","tags":["Settings - Rate Categories"],"parameters":[{"name":"id","in":"path","description":"ID of the Rate Category","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Rate category successfully deleted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/settings-rate-categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
